Subject: bug#19904: closed (24.4; IPython shell output under windows: no out-prompt appears, printing doesn't work)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Feb 2015 21:46:02 +0000

Your bug report

#19904: 24.4; IPython shell output under windows: no out-prompt appears, printing doesn't work

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19904: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19904
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: 24.4; IPython shell output under windows: no out-prompt appears, printing doesn't work
From: [email-masked] (Fabián Ezequiel Gallina)
To: [email-masked]
Date: Sat, 21 Feb 2015 18:45:53 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

User reported this did the trick.

Subject: 24.4; IPython shell output under windows: no out-prompt appears, printing doesn't work
From: Aron Lagerberg <[email-masked]>
To: [email-masked]
Date: Thu, 19 Feb 2015 18:32:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all!

I'm having trouble getting IPython to work with emacs 24.4 under windows
7 (on my linux laptop, it works out-of-the-box). When using ipython and
running
'run-python' I see the IPython interpreter loaded. I get no 'in' prompt,
but when writeing for instance '2+4' and hitting enter, I get 'Out [1]:
6'. When typing 'print("foo")', hitting enter produces nothing. But,
after running 'quit()' I see 'In [5]: foo'. There seems to be something
wrong in how emacs is handling the IPython output. How can I fix this?
Where can I start to look? Which file is responsible for the interaction
between the ipython output and emacs buffer?

I'm at a loss here and would apriceate any help. Thank you in advance! :)

Best regards,

Aron

In GNU Emacs 24.4.1 (i686-pc-mingw32)
 of 2014-10-24 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr'

Important settings:
  value of $LANG: SVE
  locale-coding-system: cp1252

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  ido-everywhere: t
  cua-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t